curl --request GET \
--url https://api.campflare.com/v2/campground/:id/campsitesimport requests
url = "https://api.campflare.com/v2/campground/:id/campsites"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.campflare.com/v2/campground/:id/campsites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"campground_id": "<string>",
"name": "<string>",
"kind": "standard",
"loop_name": "<string>",
"latitude": 123,
"longitude": 123,
"reservation_url": "<string>",
"equipment": [
{
"kind": "rv",
"name": "<string>"
}
],
"kind_listed": "<string>",
"schedule": {
"check_in_time": "<string>",
"check_out_time": "<string>",
"uniform": true
},
"price": {
"per_night": 123,
"currency_code": "<string>",
"currency": "<string>"
},
"firepit": true,
"picnic_table": true,
"ada_accessible": true,
"water_hookups": true,
"electric_hookups": true,
"sewer_hookups": true,
"max_people": 123,
"max_cars": 123,
"pull_through": true,
"driveway_length": 123,
"max_rv_length": 123,
"max_trailer_length": 123,
"photos": [
{
"original_url": "<string>",
"attribution_needed": true,
"large_url": "<string>",
"medium_url": "<string>",
"small_url": "<string>",
"attribution": "<string>",
"name": "<string>"
}
]
}
]{
"error": {
"message": "<string>",
"kind": "<string>"
}
}Get Campsites
Get campsites by campground id
GET /campground/:id/campsites
Path Parameters
Unique identifier of the campground
Response
Campsites response
Unique identifier for the campsite
The campground the campsite belongs to
Name of the campsite
Type of campsite
standard, rv, tent-only, cabin, management, group, walk-to, equestrian, water-access Name of the loop where the campsite is located
Latitude coordinate of the campsite
Longitude coordinate of the campsite
URL for making reservations
List of equipment types allowed at the campsite. This can be used to determine, for example, if an RV site also allows tents. If this field is null, then the equipment restrictions are unknown and it is best to refer to the kind field.
Show child attributes
Show child attributes
The unmodified kind/type of the campsite listed on the reservation platform.
Check-in/out times for the campsite
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether the campsite has a firepit
Information about picnic table availability
Whether the campsite is ADA accessible
Whether the campsite has water hookups
Whether the campsite has electric hookups
Whether the campsite has sewer hookups
Maximum number of people allowed at the campsite
Maximum number of cars allowed at the campsite
Whether the campsite is a pull-through site
Length of the driveway in feet
Maximum RV length in feet
Maximum trailer length in feet
Photos of the campsite
Show child attributes
Show child attributes